> For the complete documentation index, see [llms.txt](https://docs.bytenite.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bytenite.com/launch-with-bytenite/data-sources/temporary-bucket.md).

# Temporary Bucket

With ByteNite, you can save your output files to a temporary storage location on Google Cloud at no additional cost.&#x20;

This temporary bucket is intended for short-term use and is automatically managed to ensure file security and accessibility. ByteNite generates a temporary authenticated direct access URL for each output file or folder, simplifying access to your results.&#x20;

Files remain available for **48 hours** after being saved in the temporary storage, after which they are permanently deleted. This setup is perfect for workflows requiring short-term file storage without ongoing management.

The temporary storage bucket is exclusively a **data destination**, designed for saving output files from your jobs. It cannot be used as a data origin for sourcing input files.

## Temporary Bucket Data Source Object

{% hint style="info" %}
`dataSourceDescriptor`  : **`bucket`**
{% endhint %}

To set up a temporary bucket data destination, provide the following simple dataSource object in your API request (no `params` expected):

{% code title="POST /customer/jobs/{jobId}/datasource" %}

```json
{
  "dataSource": {
    "dataSourceDescriptor": "bucket",
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bytenite.com/launch-with-bytenite/data-sources/temporary-bucket.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
